Subject: Re: FVP: kernel BUG at arch/arm64/kernel/traps.c:497 - Internal error: Oops - BUG: 0

From: Mark Rutland <[email-masked]>
Date: Thu, 14 Jul 2022 13:57:50 +0100

On Thu, Jul 14, 2022 at 12:42:08PM +0100, Mark Brown wrote:
> On Thu, Jul 14, 2022 at 12:26:05PM +0100, Mark Rutland wrote:
> 
> > I note that your log has:
> 
> > | Hit any key to stop autoboot:  1  0 
> > | smh_open: ERROR fd -1 for file 'boot.img'
> > | smh_open: ERROR fd -1 for file 'Image'
> > | smh_open: ERROR fd -1 for file 'devtree.dtb'
> > | smh_open: ERROR fd -1 for file 'ramdisk.img'
> 
> ...
> 
> > | Hit any key to stop autoboot:  0   
> > | smh_open: ERROR fd -1 for file 'boot.img'
> > | loaded file Image from 80080000 to 82F299FF, 02EA9A00 bytes
> > | smh_open: ERROR fd -1 for file 'devtree.dtb'
> > | smh_open: ERROR fd -1 for file 'ramdisk.img'
> > | fdt - flattened device tree utility commands
> 
> > ... and I wonder if that has something to do with it, given it appears that
> > your Image is corrupted somehow.
> 
> Naresh's command line is putting Image directly into RAM with
> 
>     --data cluster0.cpu0=/tuxrun-r4_1075p-lava-1/Image@0x80080000

Likewise in mine:

	--data cluster0.cpu0=/mnt/data/models/fvp/naresh/Image@0x80080000

... as I'm using the same command line, just with paths altered.

Mark.